# ]po[ Reporting Dashboard
This package is part of ]project-open[, an open-source enterprise project management system.

For more information about ]project-open[ please see:
* [Documentation Wiki](https://www.project-open.com/en/)
* [V5.0 Download](https://sourceforge.net/projects/project-open/files/project-open/V5.0/)
* [Installation Instructions](https://www.project-open.com/en/list-installers)

About ]po[ Reporting Dashboard:

<p><p>This package presents graphics based on real time data collated from various sources for defined areas of concern. The visually-based approach allows quick analysis to key business information, which is vital for executive action and management. Upper management and project managers get a real-time and comprehensive overview about the company&rsquo;s key data and performance indicators without having to look through numerous lists of data. The dashboard allows for better decision-making and results in enormous time-savings. <p><ul><li>[Generic] <li><a href="/en/indicator-project-histogram">Project Histogram</a><li>[Indicators] <li>[Project Portfolio] <li>[Yearly Revenue] <li>[All Time Top Customers] </ul>

# Online Reference Documentation

## Procedure Files

<table cellpadding="0" cellspacing="0"><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=86217&amp;path=packages/intranet-reporting-dashboard/lib/histogram-sql.adp">lib/histogram-sql.adp</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=86217&amp;path=packages/intranet-reporting-dashboard/lib/histogram-sql.tcl">lib/histogram-sql.tcl</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=86217&amp;path=packages/intranet-reporting-dashboard/lib/project-eva.adp">lib/project-eva.adp</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=86217&amp;path=packages/intranet-reporting-dashboard/lib/project-eva.tcl">lib/project-eva.tcl</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=86217&amp;path=packages/intranet-reporting-dashboard/lib/revenue-by-dept.adp">lib/revenue-by-dept.adp</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=86217&amp;path=packages/intranet-reporting-dashboard/lib/revenue-by-dept.tcl">lib/revenue-by-dept.tcl</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=86217&amp;path=packages/intranet-reporting-dashboard/lib/revenue-by-year-monthly.adp">lib/revenue-by-year-monthly.adp</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=86217&amp;path=packages/intranet-reporting-dashboard/lib/revenue-by-year-monthly.tcl">lib/revenue-by-year-monthly.tcl</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=86217&amp;path=packages/intranet-reporting-dashboard/lib/scatter-diagram.adp">lib/scatter-diagram.adp</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=86217&amp;path=packages/intranet-reporting-dashboard/lib/scatter-diagram.tcl">lib/scatter-diagram.tcl</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=86217&amp;path=packages/intranet-reporting-dashboard/lib/top-customers.adp">lib/top-customers.adp</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=86217&amp;path=packages/intranet-reporting-dashboard/lib/top-customers.tcl">lib/top-customers.tcl</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/procs-file-view?version_id=86217&amp;path=packages/intranet-reporting-dashboard/tcl/intranet-reporting-dashboard-procs.tcl">tcl/intranet-reporting-dashboard-procs.tcl</a></b></td><td></td><td>Common procedures for Dashboard </td></tr></table>

## Procedures

<table cellpadding="0" cellspacing="0"><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=86217&amp;proc=im_dashboard_active_projects_status_histogram">im_dashboard_active_projects_status_histogram</a></b></td><td></td><td>Returns a dashboard component for the home page </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=86217&amp;proc=im_dashboard_all_time_top_customers_component">im_dashboard_all_time_top_customers_component</a></b></td><td></td><td>Returns a dashboard component for the home page </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=86217&amp;proc=im_dashboard_color">im_dashboard_color</a></b></td><td></td><td>Returns suitable colors, depending on the respective skin </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=86217&amp;proc=im_dashboard_color_default">im_dashboard_color_default</a></b></td><td></td><td>Returns suitable colors, depending on the respective skin start_color { return &quot;0080FF&quot; } end_color { return &quot;FF8000&quot; } bar_color { return &quot;0080FF&quot; } </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=86217&amp;proc=im_dashboard_color_saltnpepper">im_dashboard_color_saltnpepper</a></b></td><td></td><td>Returns suitable colors </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=86217&amp;proc=im_dashboard_generic_component">im_dashboard_generic_component</a></b></td><td></td><td>Returns a dashboard component for the home page </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=86217&amp;proc=im_dashboard_histogram">im_dashboard_histogram</a></b></td><td></td><td>Returns a formatted HTML text to display a histogram chart based on Lutz Tautenhahn&#39; &quot;Javascript Diagram Builder&quot;, v3.3. </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=86217&amp;proc=im_dashboard_histogram_sql">im_dashboard_histogram_sql</a></b></td><td></td><td>If ExtJS is available returns an ExtJS BarChart, otherwise uses the Tautenhahn lib </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=86217&amp;proc=im_dashboard_histogram_sql_sencha">im_dashboard_histogram_sql_sencha</a></b></td><td></td><td>Returns a dashboard component using Sencha ExtJS Requires a SQL statement like &quot;select im_category_from_id(project_type_id), count(*) from im_projects group by project_type_id&quot; </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=86217&amp;proc=im_dashboard_histogram_sql_tautenhahn">im_dashboard_histogram_sql_tautenhahn</a></b></td><td></td><td>Returns a dashboard component using the Tautenhan JavaScript library. </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=86217&amp;proc=im_dashboard_pie_chart">im_dashboard_pie_chart</a></b></td><td></td><td>Returns a formatted HTML text to display a piechart based on Lutz Tautenhahn&#39; &quot;Javascript Diagram Builder&quot;, v3.3. </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=86217&amp;proc=im_dashboard_pie_colors">im_dashboard_pie_colors</a></b></td><td></td><td>Returns an array with color codes from 0.. </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=86217&amp;proc=im_dashboard_project_eva">im_dashboard_project_eva</a></b></td><td></td><td>Returns a HTML component with a timeline of a project with financial information associated. </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=86217&amp;proc=im_dashboard_revenue_by_dept">im_dashboard_revenue_by_dept</a></b></td><td></td><td>Returns a HTML component with a timeline of a revenues by department. </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=86217&amp;proc=im_dashboard_revenue_by_year_monthly">im_dashboard_revenue_by_year_monthly</a></b></td><td></td><td>Returns a HTML component with a timeline of a revenues by month </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=86217&amp;proc=im_dashboard_status_matrix">im_dashboard_status_matrix</a></b></td><td></td><td>Returns a matrix that shows how many objects have changed their status in the given time period. </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=86217&amp;proc=im_dashboard_status_matrix_helper">im_dashboard_status_matrix_helper</a></b></td><td></td><td>Evaluates an SQL that returns cnt, old_status_id and new_status_id and returns the values as list suitable for a hash array with key = $old_status_id-$new_status_id </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=86217&amp;proc=im_dashboard_top_customers">im_dashboard_top_customers</a></b></td><td></td><td>Returns a HTML component with a pie chart with top customer </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=86217&amp;proc=im_reporting_dashboard_sweeper">im_reporting_dashboard_sweeper</a></b></td><td></td><td>Deletes old dashboard DW entries </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=86217&amp;proc=v">v</a></b></td><td></td><td>Acts like a &quot;$&quot; to evaluate a variable, but returns &quot;-&quot; if the variable is not defined instead of an error. </td></tr></table>

## SQL Files

<table cellpadding="0" cellspacing="0"><tr valign="top"><td><b><a href="https://www.project-open.net/api-doc/display-sql?package_key=intranet-reporting-dashboard&amp;url=postgresql/intranet-reporting-dashboard-create.sql&amp;version_id=86217">sql/postgresql/intranet-reporting-dashboard-create.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="https://www.project-open.net/api-doc/display-sql?package_key=intranet-reporting-dashboard&amp;url=postgresql/intranet-reporting-dashboard-drop.sql&amp;version_id=86217">sql/postgresql/intranet-reporting-dashboard-drop.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="https://www.project-open.net/api-doc/display-sql?package_key=intranet-reporting-dashboard&amp;url=postgresql/upgrade/upgrade-5.0.2.3.0-5.0.2.3.1.sql&amp;version_id=86217">sql/postgresql/upgrade/upgrade-5.0.2.3.0-5.0.2.3.1.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="https://www.project-open.net/api-doc/display-sql?package_key=intranet-reporting-dashboard&amp;url=postgresql/upgrade/upgrade-5.0.2.4.1-5.0.2.4.2.sql&amp;version_id=86217">sql/postgresql/upgrade/upgrade-5.0.2.4.1-5.0.2.4.2.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="https://www.project-open.net/api-doc/display-sql?package_key=intranet-reporting-dashboard&amp;url=postgresql/upgrade/upgrade-5.0.2.4.2-5.0.2.4.3.sql&amp;version_id=86217">sql/postgresql/upgrade/upgrade-5.0.2.4.2-5.0.2.4.3.sql</a></b></td><td></td><td></td></tr></table>

## Content Pages

<table cellpadding="0" cellspacing="0"><tr valign="top"><td><b>www/</b></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=86217&amp;path=packages/intranet-reporting-dashboard/www/all_time_top_customers.adp">all_time_top_customers.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=86217&amp;path=packages/intranet-reporting-dashboard/www/all_time_top_customers.tcl">all_time_top_customers.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=86217&amp;path=packages/intranet-reporting-dashboard/www/area-diagram-test.adp">area-diagram-test.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=86217&amp;path=packages/intranet-reporting-dashboard/www/generic.adp">generic.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=86217&amp;path=packages/intranet-reporting-dashboard/www/generic.tcl">generic.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=86217&amp;path=packages/intranet-reporting-dashboard/www/histogram.adp">histogram.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=86217&amp;path=packages/intranet-reporting-dashboard/www/histogram.tcl">histogram.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=86217&amp;path=packages/intranet-reporting-dashboard/www/index.adp">index.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=86217&amp;path=packages/intranet-reporting-dashboard/www/index.tcl">index.tcl</a></b></td><td>Dashboard main page</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=86217&amp;path=packages/intranet-reporting-dashboard/www/indicators.adp">indicators.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=86217&amp;path=packages/intranet-reporting-dashboard/www/indicators.tcl">indicators.tcl</a></b></td><td>Demo page to show indicators</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=86217&amp;path=packages/intranet-reporting-dashboard/www/project-eva.json.tcl">project-eva.json.tcl</a></b></td><td>Datasource for top-customers Sencha pie chart.</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=86217&amp;path=packages/intranet-reporting-dashboard/www/project-portfolio.tcl">project-portfolio.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=86217&amp;path=packages/intranet-reporting-dashboard/www/revenue-by-dept-details.tcl">revenue-by-dept-details.tcl</a></b></td><td>Lists risks per project, taking into account DynFields.</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=86217&amp;path=packages/intranet-reporting-dashboard/www/revenue-by-dept.json.tcl">revenue-by-dept.json.tcl</a></b></td><td>Datasource for revenues-by-dept Sencha line chart.</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=86217&amp;path=packages/intranet-reporting-dashboard/www/revenue-by-year-monthly.json.tcl">revenue-by-year-monthly.json.tcl</a></b></td><td>Datasource for revenues-by-year-monthly Sencha line chart.</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=86217&amp;path=packages/intranet-reporting-dashboard/www/top-customers.json.tcl">top-customers.json.tcl</a></b></td><td>Datasource for top-customers Sencha pie chart.</td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=86217&amp;path=packages/intranet-reporting-dashboard/www/yearly_revenues.adp">yearly_revenues.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=86217&amp;path=packages/intranet-reporting-dashboard/www/yearly_revenues.tcl">yearly_revenues.tcl</a></b></td><td></td></tr></table>

